Resource Center/Hardware/Host Operations/PCI Device Operations
GETPCI Device OperationsSince 3.5.0SynchronousAuth Required
GetPciDeviceSpecCandidates
GetPciDeviceSpecCandidates
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Query Parameters
Request Inputs
Query Parameters
clusterUuidsListOptional. The cluster UUID.
hostUuidStringOptional. The host UUID.
vmInstanceUuidStringOptional. The VM instance UUID.
vmInstanceUuidsListOptional. The VM instance UUID list.
typesListOptional. The PCI device types.
Responses
Endpoint
GET/zstack/v1/pci-device-specs/candidates
/zstack/v1/pci-device-specs/candidates
Request Example
curl -X GET 'http://{host}/zstack/v1/pci-device-specs/candidates?clusterUuids=<clusterUuids>&hostUuid=<hostUuid>&vmInstanceUuid=<vmInstanceUuid>&vmInstanceUuids=<vmInstanceUuids>&types=<types>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "inventories": [ { "uuid": "87aceed20b6a46fbb4e45b74a514afd9", "name": "MSI_GTX1060", "description": "NVIDIA Corporation, GP106 [GeForce GTX 1060 6GB], a1, VGA compatible controller", "vendorId": "10de", "deviceId": "1c03", "subvendorId": "1462", "subdeviceId": "3283", "type": "GPU_Video_Controller", "state": "Enabled", "romVersion": "86.06.0E.00.28", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }Change History
This API has no change history records yet.
